# Uses of Interface
java.security.cert.CertStoreParameters

Packages that use CertStoreParameters
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CertStoreParameters in java.security.cert

Classes in java.security.cert that implement CertStoreParameters
Modifier and Type
Class
Description
`class`
`CollectionCertStoreParameters`
Parameters used as input for the Collection `CertStore` algorithm.
`class`
`LDAPCertStoreParameters`
Parameters used as input for the LDAP `CertStore` algorithm.
`class`
`URICertStoreParameters`
Parameters used as input for `CertStore` algorithms which use information contained in a URI to retrieve certificates and CRLs.
Methods in java.security.cert that return CertStoreParameters
Modifier and Type
Method
Description
`CertStoreParameters`
CertStore.`getCertStoreParameters()`
Returns the parameters used to initialize this `CertStore`.
Methods in java.security.cert with parameters of type CertStoreParameters
Modifier and Type
Method
Description
`static CertStore`
CertStore.`getInstance​(String type, CertStoreParameters params)`
Returns a `CertStore` object that implements the specified `CertStore` type and is initialized with the specified parameters.
`static CertStore`
CertStore.`getInstance​(String type, CertStoreParameters params, String provider)`
Returns a `CertStore` object that implements the specified `CertStore` type.
`static CertStore`
CertStore.`getInstance​(String type, CertStoreParameters params, Provider provider)`
Returns a `CertStore` object that implements the specified `CertStore` type.
Constructors in java.security.cert with parameters of type CertStoreParameters
Modifier
Constructor
Description
`protected`
`CertStore​(CertStoreSpi storeSpi, Provider provider, String type, CertStoreParameters params)`
Creates a `CertStore` object of the given type, and encapsulates the given provider implementation (SPI object) in it.
``
`CertStoreSpi​(CertStoreParameters params)`
The sole constructor.